Subject: RE: [nemo] Seeking help for VMN BUs

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Thu, 17 Mar 2005 11:35:01 +0100

Hi Humphrey

Seems that your question is related to the global haha part of haha:
http://mobilenetworks.org/nemo/drafts/draft-thubert-nemo-global-haha-00.txt

Pascal

| -----Original Message-----
| From: [email-masked] [mailto:[email-masked]] On Behalf Of
| [email-masked]
| Sent: Thursday, March 17, 2005 9:45 AM
| To: [email-masked]
| Cc: [email-masked]
| Subject: 答复: [nemo] Seeking help for VMN BUs
| 
| Hi Vijay;
| I just read about the draft
| 				Inter Home Agents Protocol (HAHA)
|                   draft-wakikawa-mip6-nemo-haha-01.txt
| it is expired:(
| Do you all have some other updated version?
| 
|      I find that HAHA is matched the scenario of Multi-homing (Multi HA).
| But in HAHA-01 I do not find some path selection mechanism, do you
| consider it before?
| 
|      Have you got the idea about making the HA hierarchical? In different
| region has different grade. HA synchronization can been limited in one
| region and divides the BU cache into separate parts. When the closest HA
| for CN do not hit the CoA in its BU cache, it will do a Roaming based on
| the HA list it obtain by HAHA HA list Management.
| 	Maybe it is useful for big ISP for large scale deployment. It is
| usable for centered but distributed AAA by hierarchical HA mechanism.
|      BTW, do you think it is feasible here to use Anycast of IPv6 for
| Closest HA selection (path selection) ?
| 
| Yours
| Humphrey Gu
| 
| -----邮件原件-----
| 发件人: Vijay Devarapalli [mailto:[email-masked]]
| 发送时间: 2005年3月17日 8:18
| 收件人: 研发 顾华平
| 抄送: [email-masked]
| 主题: Re: [nemo] Seeking help for VMN BUs
| 
| hello,
| 
| RFC 3963 keeps mobility transparent to the nodes in the
| Mobile Network. the nodes in the mobile network always
| see the mobile network prefixes. not the prefixes from
| the visited network.
| 
| it is possible for the nodes in the mobile network to be
| MIPv6 mobile nodes. that is allowed.
| 
| Vijay
| 
| [email-masked] wrote:
| > Hi all NEMOers:
| > According to RFC3963,there is no discussion on MN(VMN,LFN,LMN)
| operation. In RFC3963 there are only discussion on Mobile Router
| Operation(Section 5) and Home Agent Operation(Section 6).
| > It seems that Basic NEMO need no modification on MN but I think it is
| impossible. For
| > 1) VMN
| >  When one MN moved to the Mobile Network , it changes its attachment of
| network and should have a topologically correct CoA . Then how CNs outside
| the Mobile Network to communicate with him because CNs donot know the new
| CoA.
| >  Maybe there also some other draft or similiar proposals talk about tis
| question. If it is, is anyone can told me where to find?
| > 2) LFN,LN
| >  There is similiar questions with minor difference(Maybe great).
| >
| >
| >  I am a newer of NEMO, need some help on my studying. I think for VMN
| the process is as following:
| >
| >  1)MR move to-->
| >  	Foreign Network-->
| >  		get a CoA for MR-->
| >  			Register with MR's HA, using prefix-->
| >  				HA forward packets destinated to VMN to MR, then
| to VMN
| >  2)MN move to-->
| >  	Mobile Network-->
| >  		get a Coa-->
| >  			Home Register with VMN's HA, by traditional MIPv6-->
| >  				HA gets the CoA of VMN
| >  3)CN send packet to VMN-->
| >  	packet is intercepted by VMN's HA-->
| >  		forward the packet to VMN's CoA-->
| >  			HA of MR find the frefix match to the prefix of mobile
| network,then intercept the forwared packet and forward it to MR's CoA-->
| >  				MR receive it, then send it to VMN.
| >
| >   My Question(MQ):
| >
| >  (MQ-1)I am not sure is the procedure above right?
| >
| >  I also have some other question about NEMO, any comments is
| appreciated:)
| >
| >  (MQ-2)When the MR move to a new network, do the nodes in the mobile
| network including(VMN,LFN,LFR,LMN) need to do a runumbering?
| >
| >  (MQ-3)If MQ-2's answer is "YES", then does VMN need to do a new BU with
| its HA or other CNs will not know how to locate VMN?
| >
| >  Maybe my question is very naive but it absolutely hovering on me. I
| know here are many experts of NEMO and is a wonderful place for me to find
| the answers.
| >  Thousands of thanks in advance!
| >
| >  Yours sincerely
| >  Humphrey Gu
| >
| >